com.tibbo.aggregate.common.action.command

## Class SelectEntities

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.SelectEntities

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class SelectEntities
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_ALLOW_MASKS`
    `static java.lang.String` | `CF_DEFAULT`
    `static java.lang.String` | `CF_EXPANDED`
    `static java.lang.String` | `CF_ROOT`
    `static java.lang.String` | `CF_SHOW_CHILDREN`
    `static java.lang.String` | `CF_SHOW_EVENTS`
    `static java.lang.String` | `CF_SHOW_FIELDS`
    `static java.lang.String` | `CF_SHOW_FUNCS`
    `static java.lang.String` | `CF_SHOW_VARS`
    `static java.lang.String` | `CF_SINGLE_SELECTION`
    `static java.lang.String` | `CF_TYPES`
    `static java.lang.String` | `CF_TYPES_TYPE`
    `static java.lang.String` | `CF_USE_CHECKBOXES`
    `static TableFormat` | `CFT_SELECT_ENTITIES`
    `static java.lang.String` | `RF_REFERENCE`
    `static TableFormat` | `RFT_SELECT_ENTITIES`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectEntities()`
    `SelectEntities(java.lang.String title, java.util.Collection<java.lang.String> contextTypes, java.lang.String rootContext, java.lang.String defaultContext, java.lang.String expandedContext, boolean showChildren, boolean allowMasks, boolean showVars, boolean showFuncs, boolean showEvents, boolean showFields, boolean singleSelection, boolean useCheckboxes)`
    `SelectEntities(java.lang.String title, DataTable parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `java.util.Collection<java.lang.String>` | `getContextTypes()`
    `java.lang.String` | `getDefaultContext()`
    `java.lang.String` | `getExpandedContext()`
    `java.lang.String` | `getRootContext()`
    `boolean` | `isAllowMasks()`
    `boolean` | `isShowChildren()`
    `boolean` | `isShowEvents()`
    `boolean` | `isShowFields()`
    `boolean` | `isShowFuncs()`
    `boolean` | `isShowVars()`
    `boolean` | `isSingleSelection()`
    `boolean` | `isUseCheckboxes()`
    `void` | `setAllowMasks(boolean allowMasks)`
    `void` | `setContextTypes(java.util.Collection<java.lang.String> contextTypes)`
    `void` | `setDefaultContext(java.lang.String defaultContext)`
    `void` | `setExpandedContext(java.lang.String expandedContext)`
    `void` | `setRootContext(java.lang.String rootContext)`
    `void` | `setShowChildren(boolean showChildren)`
    `void` | `setShowEvents(boolean showEvents)`
    `void` | `setShowFields(boolean showFields)`
    `void` | `setShowFuncs(boolean showFuncs)`
    `void` | `setShowVars(boolean showVars)`
    `void` | `setSingleSelection(boolean singleSelection)`
    `void` | `setUseCheckboxes(boolean useCheckboxes)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_TYPES

          public static final java.lang.String CF_TYPES

      See Also:
        Constant Field Values

    - #### CF_ROOT

          public static final java.lang.String CF_ROOT

      See Also:
        Constant Field Values

    - #### CF_DEFAULT

          public static final java.lang.String CF_DEFAULT

      See Also:
        Constant Field Values

    - #### CF_EXPANDED

          public static final java.lang.String CF_EXPANDED

      See Also:
        Constant Field Values

    - #### CF_SHOW_CHILDREN

          public static final java.lang.String CF_SHOW_CHILDREN

      See Also:
        Constant Field Values

    - #### CF_ALLOW_MASKS

          public static final java.lang.String CF_ALLOW_MASKS

      See Also:
        Constant Field Values

    - #### CF_SHOW_VARS

          public static final java.lang.String CF_SHOW_VARS

      See Also:
        Constant Field Values

    - #### CF_SHOW_FUNCS

          public static final java.lang.String CF_SHOW_FUNCS

      See Also:
        Constant Field Values

    - #### CF_SHOW_EVENTS

          public static final java.lang.String CF_SHOW_EVENTS

      See Also:
        Constant Field Values

    - #### CF_SHOW_FIELDS

          public static final java.lang.String CF_SHOW_FIELDS

      See Also:
        Constant Field Values

    - #### CF_SINGLE_SELECTION

          public static final java.lang.String CF_SINGLE_SELECTION

      See Also:
        Constant Field Values

    - #### CF_USE_CHECKBOXES

          public static final java.lang.String CF_USE_CHECKBOXES

      See Also:
        Constant Field Values

    - #### CF_TYPES_TYPE

          public static final java.lang.String CF_TYPES_TYPE

      See Also:
        Constant Field Values

    - #### RF_REFERENCE

          public static final java.lang.String RF_REFERENCE

      See Also:
        Constant Field Values

    - #### CFT_SELECT_ENTITIES

          public static final TableFormat CFT_SELECT_ENTITIES

    - #### RFT_SELECT_ENTITIES

          public static final TableFormat RFT_SELECT_ENTITIES

  - ### Constructor Detail

    - #### SelectEntities

          public SelectEntities()

    - #### SelectEntities

          public SelectEntities(java.lang.String title,
                                DataTable parameters)

    - #### SelectEntities

          public SelectEntities(java.lang.String title,
                                java.util.Collection<java.lang.String> contextTypes,
                                java.lang.String rootContext,
                                java.lang.String defaultContext,
                                java.lang.String expandedContext,
                                boolean showChildren,
                                boolean allowMasks,
                                boolean showVars,
                                boolean showFuncs,
                                boolean showEvents,
                                boolean showFields,
                                boolean singleSelection,
                                boolean useCheckboxes)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getContextTypes

          public java.util.Collection<java.lang.String> getContextTypes()

    - #### setContextTypes

          public void setContextTypes(java.util.Collection<java.lang.String> contextTypes)

    - #### getRootContext

          public java.lang.String getRootContext()

    - #### setRootContext

          public void setRootContext(java.lang.String rootContext)

    - #### getDefaultContext

          public java.lang.String getDefaultContext()

    - #### setDefaultContext

          public void setDefaultContext(java.lang.String defaultContext)

    - #### getExpandedContext

          public java.lang.String getExpandedContext()

    - #### setExpandedContext

          public void setExpandedContext(java.lang.String expandedContext)

    - #### isShowChildren

          public boolean isShowChildren()

    - #### setShowChildren

          public void setShowChildren(boolean showChildren)

    - #### isAllowMasks

          public boolean isAllowMasks()

    - #### setAllowMasks

          public void setAllowMasks(boolean allowMasks)

    - #### isShowVars

          public boolean isShowVars()

    - #### setShowVars

          public void setShowVars(boolean showVars)

    - #### isShowFuncs

          public boolean isShowFuncs()

    - #### setShowFuncs

          public void setShowFuncs(boolean showFuncs)

    - #### isShowEvents

          public boolean isShowEvents()

    - #### setShowEvents

          public void setShowEvents(boolean showEvents)

    - #### isShowFields

          public boolean isShowFields()

    - #### setShowFields

          public void setShowFields(boolean showFields)

    - #### isSingleSelection

          public boolean isSingleSelection()

    - #### setSingleSelection

          public void setSingleSelection(boolean singleSelection)

    - #### isUseCheckboxes

          public boolean isUseCheckboxes()

    - #### setUseCheckboxes

          public void setUseCheckboxes(boolean useCheckboxes)